#!/bin/sh
 ##############################################################################
 # Copyright (C) <2013> Macnica Inc.
 #
 # This software is proprietary and confidential. By using this software
 # you agree to the terms of the associated our Software License Agreement.
 #
 # ----------------------------------------------------------------------------
 # This is main program of demo GUI application.
 #
 # $Log$
 ##############################################################################

PLAY_DFBDEMO1="255"     # indicates "-1"
PLAY_DFBDEMO2="254"     # indicates "-2"
PLAY_DFBDEMO3="253"     # indicates "-3"
PLAY_DFBDEMO4="252"     # indicates "-4"
PLAY_DFBDEMO5="251"     # indicates "-5"
PLAY_DFBDEMO6="250"     # indicates "-6"
PLAY_DFBDEMO7="249"     # indicates "-7"
PLAY_DFBDEMO8="248"     # indicates "-8"
MAINLOOP="0"

#########################################
# default setting for demo applications #
#########################################
export DFBARGS=module-dir=/usr/borax-rev3/dfb/lib/directfb-1.4-5
export LD_LIBRARY_PATH=/usr/lib:/usr/borax-rev3/dfb/lib

#######################################
# check push switch application start #
#######################################
#cd /home/root
./detect_button.sh &

while [ "$MAINLOOP" = "0" ]; do
cd /usr/borax-rev3/dfb/bin/
	sync
	
	####################
	# open demo screen #
	####################
	PROCESS="df_mai_demo"
	PS_LINE=`ps | grep "$PROCESS"`
	PID=`echo $PS_LINE | cut -d " " -f 1`
	[ "$PID" ] && (kill -9 "$PID"; echo "kill -9 $PROCESS ($PID)";)

	./df_mai_demo
	EVENT_CODE=$?
	
	##########################
	# start demo application #
	##########################
	if [ "$EVENT_CODE" = "$PLAY_DFBDEMO1" ]; then
		echo "Push DirectFBDEMO1 Button"
		cd /usr/borax-rev3/dfb/bin
		./df_andi
	elif [ "$EVENT_CODE" = "$PLAY_DFBDEMO2" ]; then
		echo "Push DirectFBDEMO2 Button"
		cd /usr/borax-rev3/dfb/bin
		./df_input
	elif [ "$EVENT_CODE" = "$PLAY_DFBDEMO3" ]; then
		echo "Push DirectFBDEMO3 Button"
		cd /usr/borax-rev3/dfb/bin
		./df_knuckles
	elif [ "$EVENT_CODE" = "$PLAY_DFBDEMO4" ]; then
		echo "Push DirectFBDEMO4 Button"
		cd /usr/borax-rev3/dfb/bin
		./df_matrix
	elif [ "$EVENT_CODE" = "$PLAY_DFBDEMO5" ]; then
		echo "Push DirectFBDEMO5 Button"
		cd /usr/borax-rev3/dfb/bin
		./df_neo
	elif [ "$EVENT_CODE" = "$PLAY_DFBDEMO6" ]; then
		echo "Push DirectFBDEMO6 Button"
		cd /usr/borax-rev3/dfb/bin
		./df_particle
	elif [ "$EVENT_CODE" = "$PLAY_DFBDEMO7" ]; then
		echo "Push DirectFBDEMO7 Button"
		cd /usr/borax-rev3/dfb/bin
		./spacedream
	elif [ "$EVENT_CODE" = "$PLAY_DFBDEMO8" ]; then
		echo "Push DirectFBDEMO8 Button"
		cd /usr/borax-rev3/dfb/bin
		./df_porter
	else
		echo "system error !"
		MAINLOOP="1"
		sync
		exit
	fi
	
	cd /
done

